import { EventEmitter } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { BaseFilter } from '../shared/base.filter';
export declare abstract class BaseFilterComponent {
    filter: BaseFilter;
    myForm: FormGroup;
    displayFilter: boolean;
    onSearch: EventEmitter<BaseFilter>;
    onReset: EventEmitter<BaseFilter>;
    constructor();
    abstract createNewFilter(): BaseFilter;
    submit(value?: string): void;
    resetFilter(): boolean;
    postResetFilter(): void;
    readonly diagnostic: string;
}
