"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
/* Other Modules */
var shared_module_1 = require("../shared/shared.module");
/* Components */
var index_1 = require("./index");
/* Providers*/
var developer_service_1 = require("./shared/service/developer.service");
var log_service_1 = require("./shared/service/log.service");
var DeveloperLibraryModule = (function () {
    function DeveloperLibraryModule() {
    }
    DeveloperLibraryModule.decorators = [
        { type: core_1.NgModule, args: [{
                    imports: [shared_module_1.SharedModule],
                    declarations: [
                        index_1.HQLComponent,
                        index_1.UploadComponent,
                        index_1.ExceptionListComponent,
                        index_1.ExceptionListTableViewComponent,
                        index_1.ExceptionListFilterComponent,
                        index_1.LogListComponent,
                        index_1.LogListNoFiltroComponent,
                        index_1.LogListNadaComponent,
                        index_1.LogListFilterComponent,
                        index_1.LogListTableViewComponent
                    ],
                    providers: [developer_service_1.DeveloperService, log_service_1.LogService],
                    exports: [
                        index_1.HQLComponent,
                        index_1.UploadComponent,
                        index_1.ExceptionListComponent,
                        index_1.ExceptionListTableViewComponent,
                        index_1.ExceptionListFilterComponent,
                        index_1.LogListComponent,
                        index_1.LogListNoFiltroComponent,
                        index_1.LogListNadaComponent,
                        index_1.LogListFilterComponent,
                        index_1.LogListTableViewComponent
                    ]
                },] },
    ];
    /** @nocollapse */
    DeveloperLibraryModule.ctorParameters = function () { return []; };
    return DeveloperLibraryModule;
}());
exports.DeveloperLibraryModule = DeveloperLibraryModule;
//# sourceMappingURL=developerlibrary.module.js.map