import { FormBuilder } from '@angular/forms';
import { BaseFilterComponent } from '../../base/index';
import { LogFilter } from '../shared/data/log.filter';
import { MessageService } from '../../shared/service/message.service';
import { SessionSharedService } from '../../shared/service/session-shared.service';
export declare class LogListFilterComponent extends BaseFilterComponent {
    private formBuilder;
    private messageService;
    private sessionShared;
    filter: LogFilter;
    constructor(formBuilder: FormBuilder, messageService: MessageService, sessionShared: SessionSharedService);
    /** Crea un nuevo filtro para realizar la búsqueda */
    createNewFilter(): LogFilter;
}
