"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var http_utils_service_1 = require("../../../shared/service/http-utils.service");
var message_service_1 = require("../../../shared/service/message.service");
var index_1 = require("../../../base/index");
var LogService = (function (_super) {
    __extends(LogService, _super);
    function LogService(messageService, http) {
        var _this = _super.call(this, messageService, http) || this;
        _this.messageService = messageService;
        _this.http = http;
        _this.countAllLogsByFilterUrl = 'logs/count';
        _this.getAllLogsByFilterUrl = 'logs/filter';
        _this.getDominiosLogUrl = 'dominios/tipolog';
        return _this;
    }
    LogService.prototype.getAllByFilter = function (logFilter) {
        return this.http.getHttpPost(this.getAllLogsByFilterUrl, logFilter);
    };
    LogService.prototype.countAllByFilter = function (logFilter) {
        return this.http.getHttpPost(this.countAllLogsByFilterUrl, logFilter);
    };
    LogService.decorators = [
        { type: core_1.Injectable },
    ];
    /** @nocollapse */
    LogService.ctorParameters = function () { return [
        { type: message_service_1.MessageService, },
        { type: http_utils_service_1.HttpUtilsService, },
    ]; };
    return LogService;
}(index_1.BaseCRUDService));
exports.LogService = LogService;
//# sourceMappingURL=log.service.js.map