import { OnDestroy, OnInit } from '@angular/core';
import { MessageService } from '../service/message.service';
import { BitMessage } from '../data/bitmessage';
import { Error } from '../data/error';
export declare class BitDialogComponent implements OnInit, OnDestroy {
    static MENSAJE_VOID: string;
    display: boolean;
    message: BitMessage;
    height: number;
    private subscriptionMessages;
    private subscriptionErrors;
    constructor(messageService: MessageService);
    ngOnInit(): void;
    showMessage(message: BitMessage): void;
    showError(error: Error): void;
    readonly isSeverityInfo: boolean;
    /**
     * Calcula la altura del diálogo en función de la información a mostrar.
     * TODO: Contar las líneas reales del mensaje en vez de la longitud
     */
    private calculateHeightNumber();
    ngOnDestroy(): void;
    syntaxHighlight(json: any): any;
}
