"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var ayuda_service_1 = require("../service/ayuda.service");
var BitHelpComponent = (function () {
    function BitHelpComponent(ayudaService) {
        var _this = this;
        this.ayudaService = ayudaService;
        this.ayuda = null;
        // cada vez que el servicio emite una nueva ayuda, la mostramos
        ayudaService.mostrar.subscribe(function (ayuda) {
            console.log('Mostrando ayuda', ayuda);
            _this.ayuda = ayuda;
        });
    }
    /** Oculta el modal con los avisos */
    /** Oculta el modal con los avisos */
    BitHelpComponent.prototype.hideAyuda = /** Oculta el modal con los avisos */
    function () {
        this.ayuda = null;
    };
    BitHelpComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'bit-help',
                    template: "\n        <div class=\"ventana-ayuda\" *ngIf=\"ayuda\">\n            <div class=\"ayuda-header\">{{ayuda.header}}\n                <span class=\"fa fa-close\" (click)=\"hideAyuda();\"></span>\n            </div>\n            <div class=\"ayuda-body\">\n                <p class=\"ayuda-subtitulo\" [innerHTML]=\"ayuda.title\"></p>\n                <p [innerHTML]=\"ayuda.body\"></p>\n            </div>\n        </div>\n    "
                },] },
    ];
    /** @nocollapse */
    BitHelpComponent.ctorParameters = function () { return [
        { type: ayuda_service_1.AyudaService, },
    ]; };
    return BitHelpComponent;
}());
exports.BitHelpComponent = BitHelpComponent;
//# sourceMappingURL=bit-help.component.js.map