"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var ayudacontextual_1 = require("../data/ayudacontextual");
var AyudaService = (function () {
    function AyudaService() {
        this.mostrar = new core_1.EventEmitter();
        this.loadAyudas();
    }
    // procesa el fichero app.ayudas.json y crea el mapa para acceder luego directamente por clave
    // procesa el fichero app.ayudas.json y crea el mapa para acceder luego directamente por clave
    AyudaService.prototype.loadAyudas = 
    // procesa el fichero app.ayudas.json y crea el mapa para acceder luego directamente por clave
    function () {
        var _this = this;
        this.mapaAyudas = new Map();
        if (AyudaService.AYUDAS) {
            AyudaService.AYUDAS.forEach(function (elem) {
                _this.mapaAyudas.set(elem.key, ayudacontextual_1.AyudaContextual.newObject(elem));
            });
            console.log("Cargadas " + this.mapaAyudas.size + " ayudas contextuales");
        }
        else {
            console.warn('No se han podido cargar las ayudas contextuales de la aplicacion.');
        }
    };
    AyudaService.prototype.mostrarAyuda = function (key) {
        if (this.mapaAyudas.has(key)) {
            this.mostrar.emit(this.mapaAyudas.get(key));
        }
        else {
            console.warn("No existe ayuda para la clave [" + key + "]");
        }
    };
    AyudaService.AYUDAS = [];
    AyudaService.decorators = [
        { type: core_1.Injectable },
    ];
    /** @nocollapse */
    AyudaService.ctorParameters = function () { return []; };
    return AyudaService;
}());
exports.AyudaService = AyudaService;
//# sourceMappingURL=ayuda.service.js.map