import { UrlSegment } from '@angular/router';
import { Domain } from '../data/domain';
export declare class GeneralUtils {
    static FORMAT_SHORT_DATE: string;
    static FORMAT_LONG_DATE: string;
    static FORMAT_SHORT_TIME: string;
    static FORMAT_SHORT_SECONDS_TIME: string;
    private observableLoadingSource;
    observableLoading: any;
    constructor();
    startLoading(): void;
    stopLoading(): void;
    static getTwoDigits(digit: number): string;
    static getPathFromURL(segments: UrlSegment[]): string;
    static buildNombreCompleto(obj: any): string;
    static getTodayAsString(format?: string): string;
    static getDateAsString(fecha: Date, format?: string): string;
    static getStringAsDate(fecha: string, format?: string): Date;
    static getDateTimeAsString(fecha: Date, format?: string): string;
    static getTimeAsString(fecha: Date, format?: string): string;
    static stringToDate(fString: string): Date;
    static stringShortToDate(fString: string): Date;
    static stringToTime(tString: string): Date;
    static getTimeFromDateString(fecha: string): string;
    static getFirstDayOfCurrentMonth(): string;
    static getLastDayOfCurrentMonth(): string;
    static fechaInicioDespuesIgualFechaFin(fechaInicio: string, fechaFin: string): boolean;
    static horaInicioDespuesHoraFin(horaInicio: string, horaFin: string): boolean;
    static fechaEnRango(fecha: string, fechaInicio: string, fechaFin: string): boolean;
    static addOpcionVacia(lista: any[], texto?: string): any[];
    static getOptionText(list: Domain[], id: number): string;
}
