"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var forms_1 = require("@angular/forms");
var common_1 = require("@angular/common");
var test2_component_1 = require("./component/test2.component");
var http_1 = require("@angular/common/http");
var index_1 = require("./index");
var primeng_1 = require("primeng/primeng");
var primeng_2 = require("primeng/primeng");
var SharedModule = (function () {
    function SharedModule() {
    }
    SharedModule.decorators = [
        { type: core_1.NgModule, args: [{
                    imports: [
                        common_1.CommonModule,
                        forms_1.ReactiveFormsModule,
                        forms_1.FormsModule,
                        http_1.HttpClientModule,
                        primeng_2.CalendarModule,
                        primeng_2.DropdownModule,
                        primeng_2.EditorModule,
                        primeng_2.MultiSelectModule,
                        primeng_2.PaginatorModule,
                        primeng_2.CheckboxModule,
                        primeng_2.RadioButtonModule,
                        primeng_2.DataTableModule,
                        primeng_2.TabViewModule,
                        primeng_2.DialogModule,
                        primeng_2.MenuModule,
                        primeng_2.MegaMenuModule,
                        primeng_2.GrowlModule,
                        primeng_1.SharedModule,
                        primeng_2.AccordionModule,
                        primeng_2.AutoCompleteModule,
                        primeng_2.InputSwitchModule,
                        primeng_2.TooltipModule,
                        primeng_2.OverlayPanelModule,
                        primeng_2.MessagesModule
                    ],
                    declarations: [
                        test2_component_1.Test2Component,
                        index_1.FocusRegisterDirective,
                        index_1.BitDialogComponent,
                        index_1.BitNotificationComponent,
                        index_1.BitNotificationFrontComponent,
                        index_1.BitControlMessages,
                        index_1.BitInputComponent,
                        index_1.BitEditorComponent,
                        index_1.BitSelectComponent,
                        index_1.BitSelectMultipleComponent,
                        index_1.BitDomainValueComponent,
                        index_1.BitColumnBooleanComponent,
                        index_1.BitFooterComponent,
                        index_1.CapitalizePipe,
                        index_1.OtherToolbarActionPipe,
                        index_1.BitHeaderComponent,
                        index_1.BitToolbarComponent,
                        index_1.BitBreadCrumbComponent,
                        index_1.BitLoadingComponent,
                        index_1.BitUploadComponent,
                        index_1.BitFormUploadComponent,
                        index_1.BitHelpComponent,
                        index_1.BitUserControlsComponent
                    ],
                    exports: [
                        index_1.FocusRegisterDirective,
                        common_1.CommonModule,
                        forms_1.ReactiveFormsModule,
                        forms_1.FormsModule,
                        http_1.HttpClientModule,
                        index_1.BitDialogComponent,
                        index_1.BitNotificationComponent,
                        index_1.BitNotificationFrontComponent,
                        index_1.BitControlMessages,
                        index_1.BitInputComponent,
                        index_1.BitEditorComponent,
                        index_1.BitSelectComponent,
                        index_1.BitSelectMultipleComponent,
                        index_1.BitDomainValueComponent,
                        index_1.BitColumnBooleanComponent,
                        index_1.BitFooterComponent,
                        index_1.CapitalizePipe,
                        index_1.OtherToolbarActionPipe,
                        index_1.BitHeaderComponent,
                        index_1.BitToolbarComponent,
                        index_1.BitBreadCrumbComponent,
                        index_1.BitLoadingComponent,
                        index_1.BitUploadComponent,
                        index_1.BitFormUploadComponent,
                        index_1.BitHelpComponent,
                        primeng_2.CalendarModule,
                        primeng_2.DropdownModule,
                        primeng_2.EditorModule,
                        primeng_2.MultiSelectModule,
                        primeng_2.PaginatorModule,
                        primeng_2.CheckboxModule,
                        primeng_2.RadioButtonModule,
                        primeng_2.DataTableModule,
                        primeng_2.TabViewModule,
                        primeng_2.DialogModule,
                        primeng_1.SharedModule,
                        primeng_2.AccordionModule,
                        primeng_2.AutoCompleteModule,
                        primeng_2.InputSwitchModule,
                        primeng_2.TooltipModule,
                        primeng_2.OverlayPanelModule,
                        primeng_2.MessagesModule,
                        primeng_2.MenuModule,
                        primeng_2.MegaMenuModule,
                        primeng_2.GrowlModule,
                        index_1.BitUserControlsComponent
                    ]
                },] },
    ];
    /** @nocollapse */
    SharedModule.ctorParameters = function () { return []; };
    return SharedModule;
}());
exports.SharedModule = SharedModule;
//# sourceMappingURL=shared.module.js.map