"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Clase base mínima para cualquier componente.
 * @version 2.0
 */
var /**
 * Clase base mínima para cualquier componente.
 * @version 2.0
 */
BaseComponent = (function () {
    function BaseComponent(messageService, toolbarService, componentId) {
        if (componentId === void 0) { componentId = "BASE"; }
        this.messageService = messageService;
        this.toolbarService = toolbarService;
        this.componentId = componentId;
        console.log("Soy el componente " + componentId);
    }
    BaseComponent.prototype.resetData = function () {
    };
    BaseComponent.prototype.updateToolbar = function () {
        console.log("invocaci\u00F3n para updateToolbar del componente " + this.componentId + ". Toolbar enviada:");
        console.log(this.toolbar);
        this.toolbarService && this.toolbarService.updateToolbar(this.componentId, this.toolbar);
    };
    BaseComponent.prototype.converToDate = function (fecha) {
        return new Date(fecha);
    };
    return BaseComponent;
}());
exports.BaseComponent = BaseComponent;
//# sourceMappingURL=base.component.js.map