import { FormBuilder } from '@angular/forms';
import { BaseFilterComponent } from '../../base/index';
import { LogExceptionFilter } from '../shared/data/log-exception.filter';
import { MessageService } from '../../shared/service/message.service';
import { SessionSharedService } from '../../shared/service/session-shared.service';
export declare class ExceptionListFilterComponent extends BaseFilterComponent {
    private formBuilder;
    private messageService;
    private sessionShared;
    filter: LogExceptionFilter;
    constructor(formBuilder: FormBuilder, messageService: MessageService, sessionShared: SessionSharedService);
    /** Crea un nuevo filtro para realizar la búsqueda */
    createNewFilter(): LogExceptionFilter;
}
