"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var index_1 = require("../../../base/index");
var index_2 = require("../../../shared/index");
var LogExceptionFilter = (function (_super) {
    __extends(LogExceptionFilter, _super);
    function LogExceptionFilter(login, fecha, desde, hasta, resultados, pagina) {
        var _this = _super.call(this, resultados, pagina) || this;
        _this.login = login;
        _this.fecha = fecha;
        _this.desde = desde;
        _this.hasta = hasta;
        _this.resultados = resultados;
        _this.pagina = pagina;
        return _this;
    }
    LogExceptionFilter.prototype.reset = function () {
        _super.prototype.reset.call(this);
        this.login = '';
        this.fecha = index_2.GeneralUtils.getTodayAsString();
        this.desde = '00:00';
        this.hasta = '23:59';
    };
    LogExceptionFilter.prototype.copy = function () {
        return new LogExceptionFilter(this.login, this.fecha, this.desde, this.hasta, this.resultados, this.pagina);
    };
    LogExceptionFilter.newObject = function () {
        var filter = new LogExceptionFilter('', index_2.GeneralUtils.getTodayAsString(), '00:00', '23:59', index_1.BaseFilter.RESULTADOS_PAGE, index_1.BaseFilter.PAGE);
        return filter;
    };
    return LogExceptionFilter;
}(index_1.BaseFilter));
exports.LogExceptionFilter = LogExceptionFilter;
//# sourceMappingURL=log-exception.filter.js.map