"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var base_service_1 = require("../../../base/shared/base.service");
var http_utils_service_1 = require("../../../shared/service/http-utils.service");
var message_service_1 = require("../../../shared/service/message.service");
var domain_cached_service_1 = require("../../../shared/service/domain-cached.service");
var session_shared_service_1 = require("../../../shared/service/session-shared.service");
/**
 Servicio que devuelve parámetros de configuración.
 */
var ConfiguracionService = (function (_super) {
    __extends(ConfiguracionService, _super);
    function ConfiguracionService(messageService, http, domainService, sessionShared) {
        var _this = _super.call(this, messageService, http) || this;
        _this.messageService = messageService;
        _this.http = http;
        _this.domainService = domainService;
        _this.sessionShared = sessionShared;
        _this.baseUrl = ConfiguracionService.STATIC_URL;
        return _this;
    }
    ConfiguracionService.prototype.getAllConfiguracion = function () {
        return this.domainService.getDominio('configuracion');
    };
    ConfiguracionService.STATIC_URL = 'configuracion';
    ConfiguracionService.decorators = [
        { type: core_1.Injectable },
    ];
    /*getURLAutoevaluacion(codigoAutoevaluacion?: string): Observable<String> {
           return this.getAllConfiguracion().map(config => {
                let domainEntry = config.find(d => d.value === 'URL_PUBLICA_AUTOEVALUACION');
                let value = domainEntry && domainEntry.label;
                if(value && codigoAutoevaluacion) {
                    value = value.replace('#codigoAutoevaluacion', codigoAutoevaluacion);
                }
                return value;
           });
       }*/
    /** @nocollapse */
    ConfiguracionService.ctorParameters = function () { return [
        { type: message_service_1.MessageService, },
        { type: http_utils_service_1.HttpUtilsService, },
        { type: domain_cached_service_1.DomainCachedService, },
        { type: session_shared_service_1.SessionSharedService, },
    ]; };
    return ConfiguracionService;
}(base_service_1.BaseCRUDService));
exports.ConfiguracionService = ConfiguracionService;
//# sourceMappingURL=configuracion.service.js.map