import { Fichero } from '../data/fichero';
import { UploadService } from '../service/upload.service';
import { MessageService } from '../service/message.service';
export declare class BitFormUploadComponent {
    private uploadService;
    protected messageService: MessageService;
    params: {
        [key: string]: string;
    };
    showFiles: boolean;
    id: string;
    multiple: boolean;
    searchLabel: string;
    soloLectura: boolean;
    simpleFile: Fichero;
    fileList: Array<Fichero>;
    private onFilesUpload;
    uploading: boolean;
    private filesToUpload;
    private resetUpload;
    constructor(uploadService: UploadService, messageService: MessageService);
    ngOnInit(): void;
    fileChange(files: Array<File>): void;
    downloadUrl(id: number): string;
    static getUrlDownloadFile(id: number): string;
    submit(): void;
    static createNewParamsObject(tipoFichero: string): {
        [key: string]: string;
    };
    static addCarpetaToParamsObject(paramsUploadFile: {
        [key: string]: string;
    }, carpeta: string): void;
    static addIdToParamsObject(paramsUploadFile: {
        [key: string]: string;
    }, id: string): void;
}
