import { OnDestroy } from '@angular/core';
import { Message } from 'primeng/primeng';
import { MessageService } from '../service/message.service';
import { BitMessage } from '../data/bitmessage';
import { Error } from '../data/error';
export declare class BitNotificationComponent implements OnDestroy {
    notificationMessages: Message[];
    errorMessages: Message[];
    static MENSAJE_VOID: string;
    private subscriptionNotifications;
    private subscriptionNotificationsErrors;
    constructor(messageService: MessageService);
    showMessage(message: BitMessage): void;
    showNotificationError(notificationError: Error): void;
    ngOnDestroy(): void;
}
