"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
/**
 * Componente general que muestra controles de sesión de usuario.
 *
 * Informa del login actualmente en sesión
 */
var BitUserControlsComponent = (function () {
    function BitUserControlsComponent() {
    }
    Object.defineProperty(BitUserControlsComponent.prototype, "json", {
        get: function () {
            return this.usuario && JSON.stringify(this.usuario, null, 4);
        },
        enumerable: true,
        configurable: true
    });
    BitUserControlsComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'bit-user-controls',
                    template: "\n    <span *ngIf=\"usuario\" class=\"userControls\"><span class=\"fa fa-user\" title=\"{{json}}\"></span>&nbsp;&nbsp;{{usuario.nombreCompleto}} ({{usuario.login}})&nbsp;&nbsp;</span>\n    "
                },] },
    ];
    /** @nocollapse */
    BitUserControlsComponent.ctorParameters = function () { return []; };
    BitUserControlsComponent.propDecorators = {
        "usuario": [{ type: core_1.Input },],
    };
    return BitUserControlsComponent;
}());
exports.BitUserControlsComponent = BitUserControlsComponent;
//# sourceMappingURL=bit-user-controls.component.js.map