"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Idioma = (function () {
    function Idioma(value, label) {
        this.value = value;
        this.label = label;
    }
    Idioma.set = function (idioma) { Idioma.seleccionado = idioma; };
    Idioma.setCodigo = function (idioma) { Idioma.seleccionado = (idioma === "es" || idioma === "es-ES") ? Idioma.es : Idioma.ca; };
    Idioma.get = function () { return (Idioma.seleccionado) ? Idioma.seleccionado : Idioma.ca; };
    Idioma.getCodigo = function () { return Idioma.get().value; };
    Idioma.esCatalanSeleccionado = function () { return Idioma.esCatalan(Idioma.getCodigo()); };
    Idioma.esEspanyolSeleccionado = function () { return Idioma.esEspanyol(Idioma.getCodigo()); };
    Idioma.esCatalan = function (idioma) { return Idioma.ca.value == idioma; };
    Idioma.esEspanyol = function (idioma) { return Idioma.es.value == idioma; };
    Idioma.ca = new Idioma("ca", 'Català');
    Idioma.es = new Idioma("es", 'Español');
    return Idioma;
}());
exports.Idioma = Idioma;
;
//# sourceMappingURL=idioma.js.map