"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var router_1 = require("@angular/router");
var domain_cached_service_1 = require("../service/domain-cached.service");
var DomainResolve = (function () {
    function DomainResolve(service, router) {
        this.service = service;
        this.router = router;
    }
    /**
     * Permite obtener los datos del dominio de tipos de log de la cache de sessión o del servidor si no tuviéramos
     * los datos en caché
     */
    /**
         * Permite obtener los datos del dominio de tipos de log de la cache de sessión o del servidor si no tuviéramos
         * los datos en caché
         */
    DomainResolve.prototype.resolve = /**
         * Permite obtener los datos del dominio de tipos de log de la cache de sessión o del servidor si no tuviéramos
         * los datos en caché
         */
    function (route) {
        console.log("Resolviendo la precarga de datos");
        var dominios = route.data['dominios'];
        if (dominios == null) {
            console.log("No me ha llegado el dominio a cargar. No podemos retornar lista de valores");
            //return Promise.resolve([]);
        }
        var listaDominios = {};
        for (var _i = 0, dominios_1 = dominios; _i < dominios_1.length; _i++) {
            var dom = dominios_1[_i];
            //console.log("Vamos a recuperar el dominio, cacheado o no");
            var domServer = this.service.getDominio(dom);
            listaDominios[dom] = domServer;
        }
        return listaDominios;
    };
    DomainResolve.decorators = [
        { type: core_1.Injectable },
    ];
    /** @nocollapse */
    DomainResolve.ctorParameters = function () { return [
        { type: domain_cached_service_1.DomainCachedService, },
        { type: router_1.Router, },
    ]; };
    return DomainResolve;
}());
exports.DomainResolve = DomainResolve;
//# sourceMappingURL=domain.resolve.js.map