import { Observable } from 'rxjs/Observable';
import { BaseCRUDService } from '../../base/shared/base.service';
import { Domain } from '../data/domain';
import { HttpUtilsService } from '../service/http-utils.service';
import { MessageService } from '../service/message.service';
export declare class DomainService extends BaseCRUDService {
    protected messageService: MessageService;
    protected http: HttpUtilsService;
    private getDominiosBaseUrl;
    constructor(messageService: MessageService, http: HttpUtilsService);
    /**TODO: reconstruir cada elemento de id, valor a label, value */
    getDominio(dominio: string, params?: string[]): Observable<Domain[]>;
}
