"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
/**
 * FocusService almacena el campo/elemento que actualmente tiene el foco del usuario.
 */
var FocusService = (function () {
    function FocusService() {
        // El campo/elemento con el foco
        this.focused = "none";
    }
    FocusService.prototype.focus = function (id) {
        //console.log(`focus on ${id}`);
        this.focused = id;
    };
    FocusService.prototype.clear = function () {
        //console.log('clear focus');
        this.focused = undefined;
    };
    ;
    FocusService.prototype.getFocusedElement = function () {
        //console.log(`returning focus on ${this.focused}`);
        return this.focused;
    };
    FocusService.decorators = [
        { type: core_1.Injectable },
    ];
    /** @nocollapse */
    FocusService.ctorParameters = function () { return []; };
    return FocusService;
}());
exports.FocusService = FocusService;
//# sourceMappingURL=focus.service.js.map