"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var Subject_1 = require("rxjs/Subject");
/**
 *
 * TODO: better modal implementation that doesn't use window.confirm
 */
var MessageService = (function () {
    function MessageService() {
        // Observable string sources
        this.observableMessagesSource = new Subject_1.Subject();
        this.observableNotificationsSource = new Subject_1.Subject();
        this.observableErrorsSource = new Subject_1.Subject();
        this.observableNotificacionsErrorsSource = new Subject_1.Subject();
        this.observableMessages = this.observableMessagesSource.asObservable();
        this.observableErrors = this.observableErrorsSource.asObservable();
        this.observableNotificationsErrors = this.observableNotificacionsErrorsSource.asObservable();
        this.observableNotifications = this.observableNotificationsSource.asObservable();
    }
    /**
     * Ask user to confirm an action. `message` explains the action and choices.
     * Returns promise resolving to `true`=confirm or `false`=cancel
     */
    /**
       * Ask user to confirm an action. `message` explains the action and choices.
       * Returns promise resolving to `true`=confirm or `false`=cancel
       */
    MessageService.prototype.confirm = /**
       * Ask user to confirm an action. `message` explains the action and choices.
       * Returns promise resolving to `true`=confirm or `false`=cancel
       */
    function (message) {
        return new Promise(function (resolve) {
            return resolve(window.confirm(message || ' OK?'));
        });
    };
    ;
    /** Enviamos un mensaje. Como mínimo el componente DialogComponent lo recibirá y lo mostrará al usuario */
    /** Enviamos un mensaje. Como mínimo el componente DialogComponent lo recibirá y lo mostrará al usuario */
    MessageService.prototype.sendMessage = /** Enviamos un mensaje. Como mínimo el componente DialogComponent lo recibirá y lo mostrará al usuario */
    function (message) {
        this.observableMessagesSource.next(message);
    };
    /**
     * Enviamos un error. Si el objeto es de tipo notificación se mostrará como una ventana arriba a la derecha con un close para
     * cerrarlo. Si no es de tipo notificación el componente DialogComponent lo recibirá y lo mostrará al usuario en el centro del usuario
     **/
    /**
       * Enviamos un error. Si el objeto es de tipo notificación se mostrará como una ventana arriba a la derecha con un close para
       * cerrarlo. Si no es de tipo notificación el componente DialogComponent lo recibirá y lo mostrará al usuario en el centro del usuario
       **/
    MessageService.prototype.sendError = /**
       * Enviamos un error. Si el objeto es de tipo notificación se mostrará como una ventana arriba a la derecha con un close para
       * cerrarlo. Si no es de tipo notificación el componente DialogComponent lo recibirá y lo mostrará al usuario en el centro del usuario
       **/
    function (error) {
        //console.log('sendError', error);
        if (error.notificacion) {
            this.observableNotificacionsErrorsSource.next(error);
        }
        else {
            this.observableErrorsSource.next(error);
        }
    };
    /** Enviamos una notificación. El componente NotificationComponent lo recibirá y la mostrará en pantalla */
    /** Enviamos una notificación. El componente NotificationComponent lo recibirá y la mostrará en pantalla */
    MessageService.prototype.sendNotification = /** Enviamos una notificación. El componente NotificationComponent lo recibirá y la mostrará en pantalla */
    function (message) {
        this.observableNotificationsSource.next(message);
    };
    MessageService.decorators = [
        { type: core_1.Injectable },
    ];
    /** @nocollapse */
    MessageService.ctorParameters = function () { return []; };
    return MessageService;
}());
exports.MessageService = MessageService;
//# sourceMappingURL=message.service.js.map