"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var Rx_1 = require("rxjs/Rx");
var ToolbarService = (function () {
    function ToolbarService() {
        //private observableToolbarSource = new BehaviorSubject<any>(null);
        this.observableToolbarSource = new Rx_1.ReplaySubject(10);
        console.log("ToolbarService creado");
        //el toolbar al suscribirse recibirá eiempre los últimos n mensajes (toolbar) enviados. Es para protegernos y garantizar que cuando un toolbar
        //se susbscribe después de que el componente padre envíe su toolbar, entonces si se cuelan delante más toolbars, al menos lo reciba
        //OJO!. Juntar share() con ReplaySubject o publishReplay hace que no se comporte como se esperaba
        this.observableToolbar = this.observableToolbarSource.asObservable(); //.share();//.publishReplay(3).refCount();
    }
    ToolbarService.prototype.updateToolbar = function (componentId, toolbar) {
        toolbar.componentId = componentId;
        this.observableToolbarSource.next(toolbar);
    };
    ToolbarService.decorators = [
        { type: core_1.Injectable },
    ];
    /** @nocollapse */
    ToolbarService.ctorParameters = function () { return []; };
    return ToolbarService;
}());
exports.ToolbarService = ToolbarService;
//# sourceMappingURL=toolbar.service.js.map